DynamicJava Javadoc: Class ExecutionError

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.error
Class ExecutionError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--koala.dynamicjava.interpreter.error.ExecutionError

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CatchedExceptionError, ReturnException, ThrownException

public class ExecutionError
extends java.lang.Error

This error is thrown when an unexpected error append while interpreting a statement

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SHOW_CAUSE_PROPERTY`
`static java.lang.String` | `SHOW_TRACE_PROPERTY`
`protected java.lang.Throwable` | `thrown`

Constructor Summary
`ExecutionError()` Constructs an `ExecutionError` with no detail message.
`ExecutionError(java.lang.String s)` Constructs an `ExecutionError` with the specified detail message.
`ExecutionError(java.lang.String s, Node n)` Constructs an `ExecutionError` with the specified detail message, filename, line and column.
`ExecutionError(java.lang.Throwable thrown)`

Method Summary
`java.lang.String` | `getMessage()` Returns the errort message string of this exception
`Node` | `getNode()` Returns the syntax tree node where the error occurs
`void` | `printStackTrace()` Overridden to delegate to printStackTrace(PrintStream) to print nested exception information.
`void` | `printStackTrace(java.io.PrintStream s)` Overridden to delegate to printStackTrace(PrintWriter) to print nested exception information.
`void` | `printStackTrace(java.io.PrintWriter w)` Handles all calls to printStackTrace(), printing the stack trace of the current exception, and also that of its cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### thrown

    protected java.lang.Throwable thrown

### SHOW_CAUSE_PROPERTY

    public static final java.lang.String SHOW_CAUSE_PROPERTY

### SHOW_TRACE_PROPERTY

    public static final java.lang.String SHOW_TRACE_PROPERTY

Constructor Detail

### ExecutionError

    public ExecutionError()

  Constructs an `ExecutionError` with no detail message.

### ExecutionError

    public ExecutionError(java.lang.String s)

  Constructs an `ExecutionError` with the specified detail message.
  Parameters:
    `s` - the detail message (a key in a resource file).

### ExecutionError

    public ExecutionError(java.lang.String s,
                          Node n)

  Constructs an `ExecutionError` with the specified detail message, filename, line and column.
  Parameters:
    `s` - the detail message (a key in a resource file).
    `n` - the syntax tree node where the error occurs

### ExecutionError

    public ExecutionError(java.lang.Throwable thrown)

Method Detail

### getNode

    public Node getNode()

  Returns the syntax tree node where the error occurs

### printStackTrace

    public void printStackTrace()

  Overridden to delegate to printStackTrace(PrintStream) to print nested exception information.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  See Also:
    `printStackTrace(PrintStream)`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Overridden to delegate to printStackTrace(PrintWriter) to print nested exception information.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  See Also:
    `printStackTrace(PrintWriter)`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Handles all calls to printStackTrace(), printing the stack trace of the current exception, and also that of its cause.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### getMessage

    public java.lang.String getMessage()

  Returns the errort message string of this exception
  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.